Name:           cdogs-sdl
Version:        0.6.5
Release:        %mkrel 1
Summary:        Open source, classic overhead run-and-gun game
Group:          Games/Arcade
License:        GPLv2 and BSD and CC0 and CC-BY and CC-BY-SA
URL:            http://cxong.github.io/cdogs-sdl
Source0:        https://github.com/cxong/cdogs-sdl/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         cdogs-sdl-0.6.5-mga-gamesdir.patch
Patch1:         cdogs-sdl-0.6.0-mga-unbundle-enet.patch
#Patch2:         cdogs-sdl-0.6.4-mga-unbundle-yajl.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(yajl)

%description
C-Dogs SDL is a classic overhead run-and-gun game, supporting up to
4 players in co-op and deathmatch modes. Customize your player, choose
from up to 11 weapons, and try over 100 user-created campaigns. Have fun!

%prep
%setup -q
%autopatch -p1

rm -rf src/cdogs/enet
# Don't unbundle for 0.6.4, cxong modified the bundled code and upstream seems dead
# -- let's wait a bit and see how it evolves.
#rm -rf src/cdogs/yajl

%build
%cmake -DCDOGS_DATA_DIR=%{_gamesdatadir}/%{name}/
%make_build

%install
%make_install -C build

%files
%doc README.md doc/AUTHORS doc/README_DATA.md doc/original_readme.txt
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Apr 26 2017 akien <akien> 0.6.5-1.mga6
+ Revision: 1097610
- Version 0.6.5

* Sun Mar 12 2017 akien <akien> 0.6.4-1.mga6
+ Revision: 1092188
- Version 0.6.4
- Build against bundled yajl, cdogs-sdl upstream modified it and yajl upstream is MIA

* Wed Nov 16 2016 akien <akien> 0.6.3-1.mga6
+ Revision: 1067589
- Version 0.6.3

* Sat Jul 23 2016 akien <akien> 0.6.2-1.mga6
+ Revision: 1043305
- Version 0.6.2

* Wed Jun 01 2016 akien <akien> 0.6.1-1.mga6
+ Revision: 1019667
- Version 0.6.1
  o Now fully libre as the freeware artwork was relicensed CC-BY

* Sun Apr 17 2016 akien <akien> 0.6.1-0.20160417.1.mga6.nonfree
+ Revision: 1003133
- Dev snapshot of 0.6.1, more packaging friendly
- Version 0.6.0
- Unbundle enet and yajl

* Thu Mar 05 2015 akien <akien> 0.5.7-1.mga5.nonfree
+ Revision: 817779
- Version 0.5.7, built against system physfs

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5.1-3.mga5.nonfree
+ Revision: 745871
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 umeabot <umeabot> 0.5.5.1-2.mga5.nonfree
+ Revision: 724523
- Mageia 5 Mass Rebuild

* Wed May 14 2014 akien <akien> 0.5.5.1-1.mga5.nonfree
+ Revision: 622672
- Version 0.5.5.1

* Wed Mar 05 2014 akien <akien> 0.5.4-2.mga5.nonfree
+ Revision: 599943
- Fix CMakeLists.txt patch to keep the CREDITS in %%_gamesdatadir/%%name/doc/, it's needed at runtime

* Tue Mar 04 2014 akien <akien> 0.5.4-1.mga5.nonfree
+ Revision: 599493
- imported package cdogs-sdl

